Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class TextMarkup

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.Annotation
              org.pdfclown.documents.interaction.annotations.TextMarkup

All Implemented Interfaces:
  Cloneable, ILayerable, IPdfObjectWrapper

    @PDF(value=PDF13)
    public final class TextMarkup

extends Annotation

Text markup annotation [PDF:1.6:8.4.5].

It displays highlights, underlines, strikeouts, or jagged ("squiggly") underlines in the text of a document.

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `TextMarkup.MarkupTypeEnum` Markup type [PDF:1.6:8.4.5].

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`Annotation.FlagsEnum`

Constructor Summary
`TextMarkup(Page page, String text, TextMarkup.MarkupTypeEnum markupType, List<Quad> markupBoxes)` Creates a new text markup on the specified page, making it printable by default.
`TextMarkup(Page page, String text, TextMarkup.MarkupTypeEnum markupType, Quad markupBox)` Creates a new text markup on the specified page, making it printable by default.

Method Summary
`TextMarkup` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`List<Quad>` | `getMarkupBoxes()` Gets the quadrilaterals encompassing a word or group of contiguous words in the text underlying the annotation.
`TextMarkup.MarkupTypeEnum` | `getMarkupType()` Gets the markup type.
`void` | `setMarkupBoxes(List<Quad> value)`
`void` | `setMarkupType(TextMarkup.MarkupTypeEnum value)`

Methods inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`delete, getAction, getActions, getAppearance, getBorder, getBox, getColor, getFlags, getLayer, getModificationDate, getName, getPage, getText, isPrintable, isVisible, setAction, setActions, setAppearance, setBorder, setBox, setColor, setFlags, setLayer, setModificationDate, setName, setPrintable, setText, setVisible, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextMarkup

    public TextMarkup(Page page,
                      String text,
                      TextMarkup.MarkupTypeEnum markupType,
                      Quad markupBox)

  Creates a new text markup on the specified page, making it printable by default.

  Parameters:
    `page` - Page to annotate.
    `text` - Annotation text.
    `markupType` - Markup type.
    `markupBox` - Quadrilateral encompassing a word or group of contiguous words in the text underlying the annotation.

### TextMarkup

    public TextMarkup(Page page,
                      String text,
                      TextMarkup.MarkupTypeEnum markupType,
                      List<Quad> markupBoxes)

  Creates a new text markup on the specified page, making it printable by default.

  Parameters:
    `page` - Page to annotate.
    `text` - Annotation text.
    `markupType` - Markup type.
    `markupBoxes` - Quadrilaterals encompassing a word or group of contiguous words in the text underlying the annotation.

Method Detail

### clone

    public TextMarkup clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Annotation`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getMarkupBoxes

    public List<Quad> getMarkupBoxes()

  Gets the quadrilaterals encompassing a word or group of contiguous words in the text underlying the annotation.

### getMarkupType

    public TextMarkup.MarkupTypeEnum getMarkupType()

  Gets the markup type.

### setMarkupBoxes

    public void setMarkupBoxes(List<Quad> value)

  See Also:
    `getMarkupBoxes()`

### setMarkupType

    public void setMarkupType(TextMarkup.MarkupTypeEnum value)

  See Also:
    `getMarkupType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.